cpw.mods.fml.relauncher

## Class FMLSecurityManager

- java.lang.Object
- - java.lang.SecurityManager
  - - cpw.mods.fml.relauncher.FMLSecurityManager

-     public class FMLSecurityManager
      extends java.lang.SecurityManager

  A custom security manager stopping certain events from happening unexpectedly.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `FMLSecurityManager.ExitTrappedException`

  - ### Field Summary

    - ### Fields inherited from class java.lang.SecurityManager

      `inCheck`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FMLSecurityManager()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `checkPermission(java.security.Permission perm)`

    - ### Methods inherited from class java.lang.SecurityManager

      `checkAccept, checkAccess, checkAccess, checkAwtEventQueueAccess, checkConnect, checkConnect, checkCreateClassLoader, checkDelete, checkExec, checkExit, checkLink, checkListen, checkMemberAccess, checkMulticast, checkMulticast, checkPackageAccess, checkPackageDefinition, checkPermission, checkPrintJobAccess, checkPropertiesAccess, checkPropertyAccess, checkRead, checkRead, checkRead, checkSecurityAccess, checkSetFactory, checkSystemClipboardAccess, checkTopLevelWindow, checkWrite, checkWrite, classDepth, classLoaderDepth, currentClassLoader, currentLoadedClass, getClassContext, getInCheck, getSecurityContext, getThreadGroup, inClass, inClassLoader`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FMLSecurityManager

          public FMLSecurityManager()

  - ### Method Detail

    - #### checkPermission

          public void checkPermission(java.security.Permission perm)

      Overrides:
        `checkPermission` in class `java.lang.SecurityManager`